2006-07-23  Sebastien Bacher  <seb128@debian.org>

	* gnomecc.desktop.in.in: don't list the Application category, 
	patch by Vincent Fretin <vincent.fretin@gmail.com> (Closes: #344321)

2006-01-01  Carlos Garnacho Parro  <carlosg@gnome.org>

	* gnomecc-canvas.[ch]: added method for setting single click policy
	* control-center.c: track for changes in the nautilus click_policy key
	to make g-c-c behave exactly like nautilus

2005-11-14  Kjartan Maraas  <kmaraas@gnome.org>

	* control-center-categories.c: (populate_category):
	* control-center.c: (main):
	* gnomecc-canvas.c: (setup_entry), (cb_canvas_event),
	(gnomecc_canvas_item_accessible_class_init),
	(gnomecc_canvas_accessible_class_init),
	(gnomecc_canvas_accessible_add_selection):
	* gnomecc-rounded-rect.c: Remove some unused code.

2005-10-25  Carlos Garnacho Parro  <carlosg@gnome.org>

	* control-center-categories.[ch] (control_center_reload_icons): added
	to reload icons if gtk theme changes
	* gnomecc-canvas.c: switch correctly both shell background and icons
	in case of theme change. Plugged a memleak on finalize

2005-10-24  Carlos Garnacho Parro  <carlosg@gnome.org>

	* gnomecc-canvas.c: calculate item widths instead of forcing them to
	be MAX_ITEM_WIDTH, wrap labels with PANGO_WRAP_WORD, this closes
	#319492. force canvas background to base[GTK_STATE_NORMAL], do not 
	repaint canvas background, this way it feels quite quicker when
	resizing the window.

2005-10-19  Carlos Garnacho Parro  <carlosg@gnome.org>

	* control-center.c: set the adjustments, so the GtkScrollBar arrows
	works again, set initial adjustment to view the top of the canvas.

2005-10-15  Rodrigo Moya <rodrigo@novell.com>

	Fixes #315505

	* control-center-categories.c (control_center_entry_new): don't show
	xscreensaver capplet icon if gnome-screensaver is installed.
	(populate_category): don't add NULL entries to the list.

2005-06-06  Carlos Garnacho Parro  <carlosg@gnome.org>

	* gnomecc-canvas.c: added a11y support

2005-05-14  Carlos Garnacho Parro  <carlosg@gnome.org>

	* gnomecc-canvas.[ch]: new widget that inherits from GnomeCanvas, the
	drawing logic has been mostly moved from control-center.c, but the
	layout function has been quite improved (now handles RTL/LTR
	correctly, assigns a fixed width to all items and caches some things
	to make things a bit faster)
	
	* control-center.c: removed canvas drawing logic, and use the new
	widget

	* Makefile.am: include gnomecc-canvas.[ch]

2005-05-02  Frederic Crozat  <fcrozat@mandriva.com>

	* control-center-categories.c: (populate_category):
	append entries, so we get them in the correct order.

2005-04-11  Mark McLoughlin  <mark@skynet.ie>

	* control-center-categories.c: update for libgnome-menu
	API renaming.

2005-04-06  Mark McLoughlin  <mark@skynet.ie>

	* control-center-categories.c: (control_center_get_information):
	Update for slight change to menu_tree_lookup() API.

2005-03-27  Sebastien Bacher  <seb128@debian.org>

	* control-center-categories.c: (populate_category),
	(read_categories_from_menu_directory),
	(control_center_get_information): update to the new libgnome-menu API,
	patch from Mark McLoughlin <markmc@redhat.com>.

2005-02-18  Kjartan Maraas  <kmaraas@gnome.org>

	* control-center.c: (create_control_center): Fix a
	sparse warning.

2005-02-03  Chris Lahey  <clahey@boston.ximian.com>

	* control-center-categories.c (control_center_get_information):
	Prune empty categories.

2005-01-26  Jody Goldberg <jody@gnome.org>

	* control-center.c (relayout_canvas) : skip lines that are finished,
	  but keep processing up coming lines.  This should make alignment
	  work again.  While we're here add a bit more padding at the bottom.

2004-11-10  Mark McLoughlin  <mark@skynet.ie>

	* control-center-categories.[ch]: re-write to use libgnome-menu
	to load the contents of the preferences menu.

	* control-center.c:
	(relayout_canvas), (get_x), (get_y), (get_entry),
	(get_line_length): update for control-center-categories.[ch] changes.
	(activate_entry): load the .desktop file and launch.
	(create_window), (main): remove all nautilus and bonobo stuff.
	
	* gnome-control-center.png: rename from control-center2.png.
	
	* gnomecc.desktop.in: update for new icon name.
	
	* GNOME_ControlCenter.server.in: remove, we're not a Nautilus view
	anymore.
	
	* active.png, bcg_top.png, bg.png, bgtop.png,
	  blank.png, ccsplash.png, empty.png, foot.png,
	  gnome-lockscreen.png, gnome-unlockscreen.png,
	  gnomecc-ui.xml, html-view.xpm, kill-gnomecc.sh,
	  left.png, left_top.png, title.png, tree-view.xpm:
	Remove what seems to be a big bunch of cruft.
	
	* Makefile.am: remove cruft, install new icon, don't link
	aganst libnautilus.

2004-11-09  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: don't define $(SETTINGS_DIR) - its not
	use anymore.

2004-10-14  Jody Goldberg <jody@gnome.org>

	* Release 2.8.1

2004-06-01  Jody Goldberg <jody@gnome.org>

	* control-center.c (relayout_canvas) : minor layout tweaks
	  and improved padding

2004-05-27  Jody Goldberg <jody@gnome.org>

	* gnomecc-rounded-rect.c : new canvas item to match nautilus.

	* control-center.c (setup_entry) : add proper focus handling

2004-05-26  Jody Goldberg <jody@gnome.org>

	* control-center.c (single_click_activates) : support nautilus' single
	  click policy.

2004-05-18  Jody Goldberg <jody@gnome.org>

	* control-center.c (select_entry) : Ensure that the selected
	  entry is visible.

2004-05-17  Jody Goldberg <jody@gnome.org>

	* control-center-categories.c : merge the icon theme handling from the
	  existing control center into the ximian shell.

2004-04-15  Jody Goldberg <jody@gnome.org>

	* Release 2.6.1

2004-04-15  Jody Goldberg <jody@gnome.org>

	* capplet-dir.c (find_icon) : pull in some code from nautilus and eel
	  to ignore some image extensions.  Themed icons should have
	  extensions.

2004-04-01  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.3

2004-03-30  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.1

2004-03-23  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0

2004-03-11  Jody Goldberg <jody@gnome.org>

	* Release 2.5.4

2004-02-13  Jody Goldberg <jody@gnome.org>

	* Release 2.5.3

2004-02-12  Mark McLoughlin  <mark@skynet.ie>

	* capplet-dir-view.c: (help_menu_cb): Update help link to point
	to user-guide.xml

2004-01-17  Kjartan Maraas  <kmaraas@gnome.org>

	* gnomecc-ui.xml: Add F1 as an accelerator for the Help menu.
	Patch by Mark Finlay. Closes bug #94265.

2004-01-14  Jody Goldberg <jody@gnome.org>

	* Release 2.5.2

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1.1

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1

2003-12-17  Jody Goldberg <jody@gnome.org>

	* capplet-dir.c (find_icon) : Use gtk_icon_theme_get_default

2003-12-16  Jody Goldberg <jody@gnome.org>

	* capplet-dir.c (find_icon) : Use GtkIconTheme rather than
	  GnomeIconTheme, and return a Pixbuf directly.

	* capplet-dir-view-list.c (sidebar_populate) : Just use the icon
	  directly.
	(list_populate) : ditto.
	* capplet-dir-view.c (capplet_dir_view_load_dir) : ditto.

2003-12-15  Jody Goldberg <jody@gnome.org>

	* gnomecc.desktop.in : Use themed icon
	* capplet-dir.c (find_icon) : Support icon themes
	* capplet-dir-view-list.c (list_create) : make icons wider and less
	ugly.

2003-12-12  Jody Goldberg <jody@gnome.org>

	* gnomecc.desktop.in : Move to themeable icon

2003-10-28  Jody Goldberg <jody@gnome.org>

	* Release 2.5.0

2003-07-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.4

2003-06-24  Jody Goldberg <jody@gnome.org>

	* Release 2.3.3

2003-05-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.1

2003-04-29  Kjartan Maraas  <set EMAIL_ADDRESS environment variable>

	* capplet-dir.c: (read_entries): Plug a couple of leaks.

Tue Feb  4 17:09:18 2003  Jonathan Blandford  <jrb@redhat.com>

	* Release 2.2.0.1

Tue Jan 21 01:15:14 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.2.0

Thu Jan 16 02:41:09 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.1.7

2003-01-10  Jody Goldberg <jody@gnome.org>

	* Release 2.1.6

2002-12-18  Jody Goldberg <jody@gnome.org>

	* Release 2.1.5

2002-11-23  Jody Goldberg <jody@gnome.org>

	* Release 2.1.3

2002-11-08  Deepa Natarajan  <deepa.natarajan@wipro.com>

	* gnomecc-ui.xml: s/Contents.../Contents & s/About.../About
	Fixes bug# 96706.

2002-11-02  Jody Goldberg <jody@gnome.org>

	* Release 2.1.2

2002-10-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.1

2002-09-26  jacob berkman  <jacob@ximian.com>

	* Makefile.am (EXTRA_DIST): remove $appicon_data

2002-09-26  jacob berkman  <jacob@ximian.com>

	* capplet-dir.c (find_icon): fix the macro

	* capplet-dir-view.c (capplet_dir_view_init): use control-center2.png

	* Makefile.am: remove control-center.png which conflicts with the
	gnome 1 package and define different macros for $datadir/pixmaps
	and $gnomecc_icon_dir

2002-10-01  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0.1

2002-08-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0

2002-08-19  Ross Burton  <ross@burtonini.com>

	* gnomecc.desktop.in: Fix the desktop file so that it validates.

2002-06-18  Jody Goldberg <jody@gnome.org>

 	http://bugzilla.gnome.org/show_bug.cgi?id=85003
	* capplet-dir.c (capplet_dir_new) : copy the string before inserting
	  in hash.

2002-06-18  Satyajit Kanungo <satyajit.kanungo@wipro.com>

	* capplet-dir-view.c: Changed the help callback to get the document
	  from the user-guide.Also added the Error handling.

2002-06-17  Jody Goldberg <jody@gnome.org>

	* Release 2.0.0

2002-05-21  Abel Cheung  <maddog@linux.org.hk>

	* capplet-dir-view.c (about_menu_cb): Add translator credits.

2002-05-16  Jody Goldberg <jody@gnome.org>

	* capplet-dir-view.c (capplet_dir_view_init) : pass a slightly more
	  realistic path.
	(help_menu_cb) : new.

	* gnomecc-ui.xml : Add some help content.

2002-03-19  Lauris Kaplinski  <lauris@ximian.com>

	* capplet-dir.c (find_icon): Do not do nasty things with NULL

2002-03-12  Richard Hestilow  <hestilow@ximian.com>

	* capplet-dir-view.h: Move CappletDirViewLayout enum here,
	remove include to preferences.h.

	* Makefile.am: Remove preferences.h again.

2002-03-12  jacob berkman  <jacob@ximian.com>

	* capplet-dir-view.c (prefs_menu_cb): comment this out as it makes
	a call into preferences.c

	* Makefile.am (gnome2_control_center_SOURCES): add preferences.h
	back as files depend on it

2002-03-11  Richard Hestilow  <hestilow@ximian.com>
	
	* capplet-dir-view.c: Remove barely-used libglade stuff, replace
	with BonoboWindow. Add a menu with "close" since this is needed
	for accessibility.

	* gnomecc-ui.xml: Added.

	* Makefile.am: Remove preferences.[ch] from the build. Remove
	libglade stuff. Install gnomecc-ui.xml. 

	* capplet-dir-view-list.c: Remove any "//" comments.

2002-03-05  jacob berkman  <jacob@ximian.com>

	* Makefile.am: clean up; remove some duplicate / obsolete paths
	and bogus INCLUDE path

2002-02-28  Zbigniew Chyla  <cyba@gnome.pl>

	* capplet-dir.c (capplet_new, capplet_dir_new):
	s/gnome_desktop_item_get_string/gnome_desktop_item_get_localestring
	(use translated version of GNOME_DESKTOP_ITEM_NAME).

2002-02-27  Kjartan Maraas  <kmaraas@gnome.org>

	* main.c: s/PACKAGE/GETTEXT_PACKAGE/g
	
2002-02-20  Lauris Kaplinski  <lauris@ximian.com>

	* Makefile.am: Removed extra '\' from the end of
	commented out line, which was causing problems with
	some make/autoconf/automake combinations

2002-02-14  Lauris Kaplinski  <lauris@ximian.com>

	* preferences.c (gnomecc_preferences_get): Public method to
	get pointer of static preferences object

	* main.c (gnome_cc_save_yourself): Session signal handler
	(gnome_cc_die): Ditto
	(main): Get client and connect session manager signals

	* capplet-dir-view.c (capplet_dir_view_new): Get prefs pointer
	via public method
	(get_capplet_dir_view): Ditto
	(gnomecc_init): Ditto

	* capplet-dir-view-tree.c: Remove #undef GTK_DISABLE_DEPRECATED,
	so if included again we see warnings

	* capplet-dir.c: Remove <bonobo.h> which was unused

	* main.c: Remove <bonobo.h> which was unused

	* preferences.c (read_preferences): Remove LAYOUT_TREE
	(place_preferences): Ditto

	* preferences.h: Remove LAYOUT_TREE from preferences

	* capplet-dir-view.c: Removed capplet_dir_view_tree
	(capplet_dir_view_set_prop): Ditto

	* Makefile.am: Remove capplet-dir-view-tree from SOURCES

2002-02-12  Lauris Kaplinski  <lauris@ximian.com>

	* preferences.c (prefs_dialog_ok_cb): Destroy widget instead of
	gnome_dialog_close
	(prefs_dialog_cancel_cb): Ditto
	(prefs_dialog_response): Common button click handler
	(gnomecc_preferences_get_config_dialog): Connect GtkDialog 'response' signal

	* capplet-dir-view.c (capplet_dir_view_load_dir): Replace deprecated methods,
	use gdk_pixbuf/gtk_image instead of gnome_pixmap
	(prefs_changed_cb): Use g_object_set
	(option_menu_activate): Use g_object_set_data

2002-02-08  Richard Hestilow  <hestilow@ximian.com>
	
	* main.c (main): Ignore nautilus if run with --use-shell.

2002-02-06  Mark McLoughlin  <mark@skynet.ie>

	* gnomecc.desktop.in: change Exec from gnomecc to
	gnome2-control-center.

2002-02-05  jacob berkman  <jacob@ximian.com>

	* gnomecc.desktop.in (Icon): 
	* capplet-dir.c (find_icon): use control-center2.png

2002-02-04  Lauris Kaplinski  <lauris@ximian.com>

	* capplet-dir-view-tree.c (populate_tree_branch): Use
	g_object unref instead of gdk_pixbuf_unref

	* capplet-dir-view-list.c (list_clean): Use g_object_unref
	(sidebar_arrow_update): g_build_filename
	(list_create): Replace deprecated methods

	* preferences.c (gnomecc_preferences_class_init): Use g_signal_new
	(read_preferences): Use g_signal_emit

	* capplet-dir.c (find_icon): Use glib methods instead of
	deprecated stuff

2002-01-21  Richard Hestilow  <hestilow@ximian.com>

	* main.c: Use nautilus as the shell if it is already running.

2002-01-17  Jakub Steiner <jimmac@ximian.com>

	* control-center.png: fix the antialiasing

2002-01-14  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am (bin_PROGRAMS): Rename binary gnome2-control-center
	Update
	(CLEANFILES): Add this line

2002-01-09  Jean Schurger <jschurger@schurger.org>

	* capplet-dir.c (capplet_new): Check for entry->icon[0] != 0
		if (Icon =) in the desktop file.
		if entry->icon is a DIR
		If entry->icon[0] still NULL.

2002-01-03  Richard Hestilow  <hestilow@ximian.com>

	* capplet-dir.c (capplet_new): Check for ditem::icon != NULL
	before calling gnome_pixmap_file.

	* gnomecc.glade: Remove toolbar & menu stuff (this was causing
	runtime glade warnings).

2001-12-20  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-dir-view-list.c: Eliminate compiler warnings

	* preferences.c: Eliminate compiler warnings

	* capplet-dir-view.c: Eliminate compiler warnings

	* capplet-dir.c: Eliminate compiler warnings

	* main.c: Eliminate compiler warnings

2001-12-19  Seth Nickell  <snickell@stanford.edu>

	* Makefile.am:
	* gnomecc.desktop.in:

	Install into $datadir/applications and add a Categories
	field to the .desktop file.

2001-12-18  Bradford Hovinen  <hovinen@ximian.com>

	* preferences.c (gnomecc_preferences_load): Use GConf
	(gnomecc_preferences_save): Ditto

2001-12-17  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-dir-view.c (capplet_dir_view_init): Move most of the
	initialization stuff from capplet_dir_view_new to here

	* capplet-dir-view.[ch]: Port to GObject

	* main.c (main): Remove support for launching capplets
	(real_launch_control): Remove

	* capplet-dir.c: Remove bonobo capplet utility functions
	(capplet_activate): Don't use capplet_control_launch

2001-12-13  Richard Hestilow  <hestilow@ximian.com>
	
	* capplet-dir-view-list.c: Remove all g_print statements.
	(header_expose_cb): Fix pixbuf clipping.
	
	* capplet-dir-view.c (capplet_dir_view_new):
	s/gtk_object_unref/g_object_unref.

	* main.c (main): s/bonobo_main/gtk_main.

2001-12-08  Havoc Pennington  <hp@pobox.com>

	* capplet-dir-view.c: remove unused include that broke stuff

	* capplet-dir.c (capplet_activate): fix args to
	gnome_desktop_item_launch

2001-12-08  Richard Hestilow  <hestilow@ximian.com>

	* capplet-dir-view-list.c (list_populate): Fix call to
	gnome_icon_list_insert.
	(list_create): Update call to gnome_icon_list_new, and use
	a GtkHPaned instead of a GtkHBox.
	
2001-11-28  Richard Hestilow  <hestilow@ximian.com>

	* capplet-dir-view.c (help_cb): Update call to gnome_help_display.

2001-11-26  Richard Hestilow  <hestilow@ximian.com>

	* Initial port to GNOME2, removal of gtkhtml deps.
	
2001-10-26  Bradford Hovinen  <hovinen@ximian.com>

	* main.c: Remove #ifdef HAVE_BONOBO instances

	* capplet-dir.c: Remove #idef HAVE_BONOBO instances

2001-10-16  Jakub Steiner <jimmac@ximian.com>

	* control-center.png: usability@ thinks using hands is offensive.
	  This is a temporary icon
	
2001-10-14  Larry Ewing  <lewing@ximian.com>

	* capplet-dir-view.c (capplet_dir_view_new): set the window icon.

2001-10-12  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-dir.c (capplet_control_launch): Unref the property bag
	when we are done

2001-09-28  Carlos Perelló Marín <carlos@gnome-db.org>

 	* capplet-dir-view-html.c: Now we use utf-8 strings
 
2001-09-22  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-dir.c (capplet_control_launch): Create apply and close
	buttons to match the setup tools

2001-08-20  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-dir.c (capplet_control_launch): Update moniker being
	used

2001-07-31  Chema Celorio  <chema@celorio.com>

	* Makefile.am (cappletname): add DISTDIR to install-data-local

2001-07-28  Carlos Perelló Marín <carlos@gnome-db.org>

	* capplet-dir-view-html.c: Reverted my utf patch. Sorry :-(

2001-07-28  Carlos Perelló Marín <carlos@gnome-db.org>

	* main.c: /s/Configuraiton/Configuration/

2001-07-27  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-dir.c (capplet_activate): Use timeout when launching
	desktop entry; idle handler when launching Bonobo control

	* RELEASE : 1.5.2

2001-07-26  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-dir.c (capplet_activate): Remove debugging messages

	* capplet-dir.h (struct _Capplet): Add flag launching

	* capplet-dir.c (capplet_new): Initialize capplet->launching
	(capplet_reset_cb): Implement. Just reset capplet->launching
	(capplet_activate): Just return if capplet->launching is set;
	otherwise set that flag and add an idle handler to unset it

	* kill-gnomecc.sh: Don't kill oafd for fear that someone may be
	running Evolution. Kill bonobo-moniker-archiver after everything
	else is dead. Redirect errors to /dev/null. Kill the mouse
	properties capplet, too.

	* gnomecc.glade: Don't make the main window modal

	* capplet-dir.c (capplet_control_launch): Remove check for capplet
	already running

2001-07-25  Chema Celorio  <chema@celorio.com>

	* capplet-dir-view.c (about_menu_cb): jrb's name had a typo

	* Makefile.am (EXTRA_DIST): don't this Gnome.directory.in this will
	be generated at the users box by a sed from Gnome.directory.in.in

2001-07-25  Richard Hestilow  <hestilow@ximian.com>

	* main.c (main): Move capplet-launching code into an idle handler.
	Bonobo sucks like that.

	* capplet-dir.c (capplet_activate): Remove the check for gnomecc,
	it was causing grief with bonobo. Story at 11.

2001-07-24  Chema Celorio  <chema@celorio.com>

	* capplet-dir-view-html.c (html_create): set the usize of hte
	side bar a bit smaller. Also set the size of the glade file a bit
	wider

	* capplet-dir-view.c (capplet_dir_view_load_dir): set the title
	of the window to "Gnome Control Center : foo"

2001-07-24  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-dir.c (capplet_control_launch): Set moniker property
	manually
	(capplet_control_launch): Remove double-free of the moniker
	(capplet_control_launch): Release and unref the property control
	in the event of an error
	(capplet_control_launch): Conclude that the capplet is already
	running only when the exception type is
	Bonobo/Moniker/InterfaceNotFound

2001-07-23  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-dir.c (capplet_control_launch): Put up an error dialog
	and abort the process if the capplet reports an error trying to
	resolve its moniker
	(capplet_control_launch): Don't connect the app's button signals
	if the app has just been destroyed

2001-07-20  Chema Celorio  <chema@celorio.com>

	* RELEASE : 1.5.0

2001-07-19  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am (install-data-local): Uncomment

2001-07-19  Richard Hestilow  <hestilow@ximian.com>
	
	* Gnome.directory.in.in: Change name to "Main".

	* capplet-dir.c (capplet_new): Return NULL if program
	is not accessible.

	* capplet-dir-view.c (sidebar_populate): Don't show a directory
	if it is empty.

2001-07-19  Richard Hestilow  <hestilow@ximian.com>

	* Removed debugging spew.

	* Removed most of the menu bar.

	* capplet-dir-view.c (about_menu_cb): Add Chema, jimmac, and myself
	to authors list.

	* capplet-dir-view-html.c (html_populate, html_write_row): Spacing
	fix.

2001-07-19  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am (EXTRA_DIST): Added missing Gnome.directory.in.in

	* capplet-dir.c (capplet_control_launch): Don't give an error if
	the property control is NULL

2001-07-19  Richard Hestilow  <hestilow@ximian.com>

	* forgot to commit the pngs

2001-07-19  Richard Hestilow  <hestilow@ximian.com>

	* capplet-dir-view-html.c (main_allocate_cb: New function to
	compute optimal number of columns. Try resizing, it's fun!
 
2001-07-19  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-dir-view.c (capplet_dir_view_load_dir): Set the window title

2001-07-19  Chema Celorio  <chema@celorio.com>

	* Makefile.am (ccenter_DATA): move Gnome.directory to here

2001-07-18  Richard Hestilow  <hestilow@ximian.com>

	* capplet-dir.c (capplet_new): Remove annoying debugging output.

	* capplet-dir-view-html.c: Rewritten to use jimmac's new interface.

	* bcg_top.png, title.png, blank.png, active.png: Added.

	* Makefile.am (splash_DATA): Add new pixmap files.

	* gnomecc.glade: Remove ugly toolbar. 

	* capplet-dir-view.[ch]: Remove toolbar-related code.

2001-07-18  Chema Celorio  <chema@celorio.com>

	* capplet-dir.c (get_root_capplet_dir): if the directory is not found, warn
	and exit. Don't coredump
	* main.c (main):

2001-07-17  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-dir.c (capplet_cancel_cb):
	(capplet_ok_cb): Explicitly unref the property control

2001-07-13  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-dir.c (capplet_control_launch): Accept window_title
	parameter and use it as the title
	(capplet_activate): Pass entry->name to capplet_control_launch
	(capplet_control_launch): Don't print error and use correct test
	for control_ref == CORBA_OBJECT_NIL

2001-07-13  Kai Lahmann  <kl@linuxfaqs.de>

	* capplet-dir-view-html.c (header_populate): made the header
	smaller - scrolling won't go
	(html_populate): small fixes in html code

2001-07-13  jacob berkman  <jacob@ximian.com>

	* main.c (main): initialize gconf if gtkhtml is gconf-enabled

2001-07-12  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-dir.c (capplet_activate): Fix position of capplet name
	in the Bonobo case
	(capplet_new): Don't abort if the entry says to run gnomecc

2001-07-10  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-dir.c (capplet_ok_cb): Notify property control of apply
	action
	(capplet_control_launch): Store PropertyControl in app

2001-07-09  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am (gladedir): Update installation directory

	* capplet-dir-view.c (capplet_dir_view_show): Add g_return_if_fail
	macros

	* capplet-dir.c (capplet_control_launch): Create a control by
	first retrieving the PropertyControl and then extracting the
	control from it
	(capplet_control_launch): Connect button signals
	(capplet_cancel_cb): Implement. Just destroy the app widget
	(capplet_ok_cb): Ditto.
	(capplet_control_launch): Don't use a BonoboArg when setting the
	property
	(capplet_control_launch): Don't convert underscores to dashes in
	moniker

	* Makefile.am (INCLUDES): Update directory locations

	* capplet-dir.c (capplet_control_launch): Terminate the list of
	properties to set

2001-07-03  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-dir.c (capplet_control_launch): Use GnomeDialog rather
	than BonoboWindow
	(capplet_control_launch): Use bonobo_widget_set_property for simplicity
	(capplet_control_launch): Eliminate goto statement with an if...else clause

	* main.c (main): Connect destroy signal on capplet window to
	gtk_main_quit

	* capplet-dir.c (capplet_control_launch): Return pointer to
	BonoboWindow

	* main.c (main): Check return value of capplet_control_launch

	* capplet-dir.c (capplet_control_launch): Use goto to make sure
	all data structures are freed

2001-07-02  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-dir.c (capplet_control_launch): Use bonobo_arg_... functions

	* main.c (main): Call capplet_control_launch if capplet was specified on CLI
	Use bonobo_main rather than gtk_main

	* capplet-dir.c (capplet_control_launch): Fix to use Bonobo_Property_setValue
	(capplet_activate): Support capplet_control_launch; use strlen(...) rather than hardcoding length
	(capplet_control_launch): Replace '-' characters with underscores

2001-06-29  Bradford Hovinen  <hovinen@ximian.com>

	* main.c (main): Support --run-capplet argument on the command line

	* capplet-dir.c (capplet_control_launch): Implement. Currently not called,
	but will be used to launch capplets

	* main.c (main): Added OAF and bonobo intialization

2001-01-24  Jason Leach  <jasonleach@usa.net>

	* Makefile.am (INCLUDES): Forgot a trailing backslash so
	GNOMECC_CFLAGS wasn't actually being used.  It is now.

2001-01-24  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am (INCLUDES): Cleaned out kruft and replaced it with
	GNOMECC_CFLAGS
	(gnomecc_LDADD): Ditto

2000-12-27  Jacob "Ulysses" Berkman  <jacob@helixcode.com>

	* capplet-dir-view-list.c (list_populate): call the real
	gnome-libs API rather than my hacked one

	* capplet-dir.c (start_capplet_through_root_manager): pass the
	correct path ($prefix/sbin/<tool>) to the root-manager
	(capplet_activate): check that the Exec line begins with
	root-manager rather than root-manager-helper (for now)

2000-12-26  Jacob "Ulysses" Berkman  <jacob@helixcode.com>

	* capplet-dir-view*.c: new html view, and split other views into
	seperate parts

2000-10-14  Bradford Hovinen  <hovinen@helixcode.com>

	Courtesy John B Tunison <jtunison@andrew.cmu.edu>:
	* capplet-dir.c (start_capplet_through_root_manager): Use
	FOPEN_MAX rather than OPEN_MAX, since some people don't seem to be
	have OPEN_MAX defined by default

2000-08-22  Bradford Hovinen  <hovinen@helixcode.com>

	* Makefile.am (INCLUDES): Changed SETTINGS_DIR to
	$(datadir)/control-center

2000-08-17  Stanislav Brabec  <utx@penguin.cz>

	* Makefile.am: Added GNOME_LIBDIR to root_manager_LDADD.

2000-08-11  Bradford Hovinen  <hovinen@helixcode.com>

	* all: First checkin of (nearly) complete rewrite. Changes too
	numerous to mention. 

